## NAME

d.correlate - prints a graph of the correlation between data layers (in pairs)

## KEYWORDS

display, diagram

## SYNOPSIS

d.correlate
d.correlate help
d.correlate layer1=string layer2=string [layer3=string] [layer4=string]

### Parameters:

layer1=string
  raster input map
layer2=string
  raster input map
layer3=string
  raster input map
layer4=string
  raster input map

## DESCRIPTION

d.correlate is a shell (sh(1)) script that graphically displays the results of an r.stats run on two raster map layers. This shell script is useful for highlighting the correlation (or lack of it) among data layers (scattergram).

The results are displayed in the active display frame on the user's graphics monitor. d.correlate erases the active frame before displaying results.

## OPTIONS

### Parameters:

layer1 layer2 [layer3 [layer4]]
  The names of from two to four existing raster map layers to be included in the correlation.

## NOTES

This is a shell script that uses r.stats and the UNIX awk command to calculate the correlation among data layers, and uses d.text and d.graph to display the results.

If three or four map layers are specified, the correlation among each combination of two data layers is displayed.

## FILES

This program is simply a shell script. Users are encouraged to make their own shell script programs using similar techniques. See `$GISBASE/scripts/d.correlate`.

## SEE ALSO

The UNIX awk command

d.text, d.graph, r.coin, r.stats

## AUTHOR

Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Rewritten to GRASS 6 (from csh to sh) by Markus Neteler

Last changed: $Date: 2005/05/18 11:18:32 $

Main index - display index - Full index